Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jsynedit.search
Class AbstractDisposer

    java.lang.Object
      java.awt.event.KeyAdapter
          jsynedit.search.AbstractDisposer

All Implemented Interfaces:
  java.awt.event.KeyListener, java.util.EventListener

    public class AbstractDisposer

extends java.awt.event.KeyAdapter

This class handles a press on the ESCAPE key in a `java.awt.Window` instance. This includes `JFrame` and `JDialog`. When such an event is caught, the instance is simply disposed.

Author:
  Romain Guy

Constructor Summary
`AbstractDisposer(java.awt.Window parent)` Creates a new KeyListener which register a specified Window.

Method Summary
`void` | `finalize()`
`void` | `keyPressed(java.awt.event.KeyEvent evt)`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDisposer

    public AbstractDisposer(java.awt.Window parent)

  Creates a new KeyListener which register a specified Window. Normally, this window should register this class as one of its key listeners.

Method Detail

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent evt)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyPressed` in class `java.awt.event.KeyAdapter`

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.